/* eslint-disable capitalized-comments */
'use strict';

const http = require('http');

const DB = require('./src/db');
const Logger = require('./src/logger');
const Service = require('./src/service');
const { fileScope } = require('./src/common');
const { version } = require('./package.json');

const _scope = fileScope(__filename)('main');

const PORT = process.env.PORT || 3001;
const ADDR = process.env.LISTEN_ADDR || '127.0.0.1';

const logger = new Logger({
  // ignoreBelowLevel: 'info',
});
const db = new DB(logger, {
  connectionString: 'postgresql://%2Fhome%2Ffek%2Fprojects%2Fhubl%2Fnodejs%2Fpostgres_dev-13/urlittler',
  // connectionString: 'sqlite://',
});
const service = new Service(logger, db, {
  proxyPrefix: process.env.PROXY_PREFIX || '', // '/lil',
  manager: {
    selfBaseUrl: process.env.BASE_URL || '',
  },
});

http.createServer((req, res) => {
  service.dispatch(req, res);
}).listen(PORT, ADDR, (err) => {
  if (err) {
    logger.error(_scope, 'error starting server:', err);
    throw err;
  }
  logger.info(_scope, 'server started', { version, listenAddress: ADDR, listenPort: PORT });
});
