'use strict';

  const { DatabaseError } = require('../errors');

  class NotImplemented extends DatabaseError {
    constructor(...args) {
      super(...args);
      Error.captureStackTrace(NotImplemented);
    }
  }

  class UnexpectedResult extends DatabaseError {
    constructor(...args) {
      super(...args);
      Error.captureStackTrace(UnexpectedResult);
    }
  }

  class UnsupportedEngine extends DatabaseError {
    constructor(...args) {
      super(...args);
      Error.captureStackTrace(UnsupportedEngine);
    }
  }

module.exports = {
  NotImplemented,
  UnexpectedResult,
  UnsupportedEngine,
};