'use strict';

const common = require('./common');
const { Enum } = require('@squeep/api-dingus');

common.mergeEnum(Enum, {
  ContentType: {
  },

  ErrorResponse: {
    InvalidAuthentication: {
      statusCode: 403,
      errorMessage: 'Invalid Authentication',
    },
    InvalidLinkId: {
      statusCode: 404,
      errorMessage: 'Not Found',
      details: 'not a valid link id',
    },
    InvalidURLParameter: {
      statusCode: 400,
      errorMessage: 'Bad Request',
      details: 'invalid url parameter',
    },
  },

  Header: {
    Authorization: 'Authorization',
    LastSeen: 'Last-Seen',
    Signature: 'Signature',
    WWWAuthenticate: 'WWW-Authenticate',
  },
});

module.exports = Enum;