'use strict';

const { Errors } = require('@squeep/api-dingus');

class DatabaseError extends Errors.DingusError {
  constructor(...args) {
    super(...args);
    Error.captureStackTrace(DatabaseError);
  }
}

class ServeStaticFile extends Errors.DingusError {
  constructor(file, ...args) {
    super(...args);
    this.file = file;
    delete this.stack;
  }
}

class SlugGeneratorExhausted extends Errors.DingusError {
  constructor(...args) {
    super(...args);
  }
}

module.exports = {
  ...Errors,
  DatabaseError,
  ServeStaticFile,
  SlugGeneratorExhausted,
};