'use strict';

const toDateString = (ts) => ts ? new Date(ts * 1000).toISOString() : 'never';

module.exports = (ctx, details, pageTitle) => {
  const created = toDateString(details.created);
  const lastAccess = toDateString(details.lastAccess);
  const expires = details.expires ? toDateString(details.expires) : '';

  return `<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>${pageTitle} - ${details.id} Details</title>
    <link rel="stylesheet" href="../../static/theme.css">
  </head>
  <body>
    <header>
      <h1>Link Details</h1>
    </header>
    <main>
      <div class="identifier">id: <span><a href="/${details.id}">${details.id}</a></span></div>
      <div class="url">url: <span>${details.url}</span></div>
      <div class="created">created: <time datetime="${created}">${created}</time></div>
      <div class="accesses">accesses: <span>${details.accesses}</span></div>
      <div class="lastaccess">last access: <time datetime="${lastAccess}">${lastAccess}</time></div>` +
      (!details.expires ? '' : `
      <div class="expires">expires: <time datetime="${expires}">${expires}</time></div>`) + `
    </main>
  </body>
</html>`;
};