'use strict';

const toDateString = (ts) => ts ? new Date(ts * 1000).toISOString() : 'never';

module.exports = (ctx, links, pageTitle) => {
  return `<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>${pageTitle} - Link Report</title>
    <link rel="stylesheet" href="../../static/theme.css">
  </head>
  <body>
    <header>
      <h1>Link Report</h1>
    </header>
    <main>
      <table>
        <thead>
          <tr>
            <th scope="col">id</th>
            <th scope="col">url</th>
            <th scope="col">accesses</th>
            <th scope="col">created</th>
            <th scope="col">expires</th>
            <th scope="col">last access</th>
          </tr>
        </thead>
        <tbody>` +
  links.map((l) => `
          <tr>
            <th scope="row"><a href="/${l.id}/info">${l.id}</a></th>
            <td>${l.url}</td>
            <td>${l.accesses}</td>
            <td>${toDateString(l.created)}</td>
            <td>${toDateString(l.expires)}</td>
            <td>${toDateString(l.lastAccess)}</td>
          </tr>`).join('\n') + `
        </tbody>
      <table>
    </main>
  </body>
</html>`;
};