'use strict';

module.exports = (ctx, pageTitle, logoUrl) => {
  const logoImg = logoUrl ? `<img src="${logoUrl}" class="logo">` : '';
  return `<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="robots" content="noindex">
    <title>${pageTitle}</title>
    <link rel="stylesheet" href="static/theme.css">
  </head>
  <body>
  <script type="text/javascript">` + (!ctx.createdLink ? '0;' : `
    document.addEventListener('DOMContentLoaded', function () {
      let timeout;
      document.querySelector('.copy-button').addEventListener('click', function (event) {
        const linkHref = document.querySelector('.link').href;
        navigator.clipboard.writeText(linkHref);
        const copyButton = this;
        copyButton.style.backgroundColor = 'lightgreen';
        if (timeout) {
          clearTimeout(timeout);
        }
        timeout = setTimeout(function () {
          copyButton.style.backgroundColor = 'initial';
          timeout = undefined;
        }, 3000);
      });
    });`) + `
    </script>
    <header>
      <h1>${logoImg}${pageTitle}</h1>
    </header>` +
    (!ctx.createdLink ? '' : `
    <section class="created-link">
      <a class="src-link" href="${ctx.sourceLink}">${ctx.sourceLink}</a>
      is now liked to by
      <a class="link" href="${ctx.createdLink}">${ctx.createdLink}</a>
      <span class="copy">
        <button class="copy-button">Copy to Clipboard</button>
      </span>
      <div class="meta-link">
        control token <span class="auth-token">${ctx.authToken}</span>
      </div>
    </section>`) +
    (!ctx.message ? '' : `
    <section class="message">
      ${ctx.message}
    </section>`) + `
    <section class="create-link">
      <form action="" method="post" class="submit-url">
        <div class="submit-url">
          <label for="url">URL: </label>
          <input type="text" name="url" id="url" required>
        </div>
        <div class="submit-url">
          <input type="submit" value="Create Link">
        </div>
      </form>
    </section>
  </body>
</html>`;
};